import request from '@/utils/request'

// 查询安全设施-呼吸阀列表
export function listSafetyBreath(query) {
  return request({
    url: '/pssr/safetyBreath/list',
    method: 'get',
    params: query
  })
}

// 查询安全设施-呼吸阀详细
export function getSafetyBreath(id) {
  return request({
    url: '/pssr/safetyBreath/' + id,
    method: 'get'
  })
}

// 新增安全设施-呼吸阀
export function addSafetyBreath(data) {
  return request({
    url: '/pssr/safetyBreath',
    method: 'post',
    data: data
  })
}

// 修改安全设施-呼吸阀
export function updateSafetyBreath(data) {
  return request({
    url: '/pssr/safetyBreath',
    method: 'put',
    data: data
  })
}

//
export function updateSafetyBreathBatch(data) {
  return request({
    url: '/pssr/safetyBreath/editBatch',
    method: 'put',
    data: data
  })
}


// 删除安全设施-呼吸阀
export function delSafetyBreath(id) {
  return request({
    url: '/pssr/safetyBreath/' + id,
    method: 'delete'
  })
}

// 导出安全设施-呼吸阀
export function exportSafetyBreath(query) {
  return request({
    url: '/pssr/safetyBreath/export',
    method: 'get',
    params: query
  })
}
